Update Network Of Network Pool

Update Network Of Network Pool
Update Network of a Network Pool

Update a Network that is part of a Network Pool

Request
URI
PATCH
https://{api_host}/v1/network-pools/{networkPoolId}/networks/{networkId}
COPY
Path Parameters
string
networkPoolId
Required

Id of the Network pool

string
networkId
Required

Id of the Network


Request Body
NetworkUpdateSpec of type(s) application/json
Required
{
    "vlan": "string",
    "mtu": "string",
    "subnet": "string",
    "gateway": "string"
}
string
vlan
Optional

Vlan of the Network

string
mtu
Optional

Mtu of the Network

string
subnet
Optional

Subnet of the network

string
gateway
Optional

Gateway of the network

Responses
200

Update of the Network was successful

Returns Network of type(s) application/json
{
    "id": "string",
    "type": "VSAN, VMOTION, VXLAN, NFS, ISCSI, VSAN_EXTERNAL",
    "ipAddressVersion": "IPv6",
    "ipAddressAssignmentMode": "SLAAC",
    "vlanId": 0,
    "mtu": 0,
    "subnet": "string",
    "mask": "string",
    "gateway": "string",
    "ipPools": [
        {
            "start": "string",
            "end": "string"
        }
    ],
    "freeIps": [
        "string"
    ],
    "usedIps": [
        "string"
    ],
    "usedIpCount": "string",
    "freeIpCount": "string"
}
string
id
Optional

The ID of the network

string
type
Required

Network Type of the network

string
ipAddressVersion
Optional
Constraints: default: IPv4

IP Address version. One among: IPv4, IPv6

string
ipAddressAssignmentMode
Optional
Constraints: default: STATIC

IP Address assignment mode. One among: STATIC, DHCP, SLAAC

integer As int32 As int32
vlanId
Required

VLAN ID associated with the network

integer As int32 As int32
mtu
Required

MTU of the network

string
subnet
Optional

Subnet associated with the network

string
mask
Optional

Subnet mask for the subnet of the IPv4 network

string
gateway
Optional

Gateway for the network

array of object
ipPools
Optional

List of IP pool ranges to use

array of string
freeIps
Optional

List of free IPs to use

array of string
usedIps
Optional

List of used IPs

string
usedIpCount
Optional

Count of used IPs

string
freeIpCount
Optional

Count of free IPs


400

Network Update validation failure error

Returns Error of type(s) application/json
{
    "errorCode": "string",
    "errorType": "string",
    "arguments": [
        "string"
    ],
    "context": {
        "context": "string"
    },
    "notifications": [
        {
            "severity": "string",
            "message": "string",
            "remediations": [
                {
                    "message": "string",
                    "link": "string"
                }
            ],
            "impactMessage": "string"
        }
    ],
    "message": "string",
    "remediationMessage": "string",
    "causes": [
        {
            "type": "string",
            "message": "string"
        }
    ],
    "nestedErrors": [
        {
            "errorCode": "string",
            "errorType": "string",
            "arguments": [
                "string"
            ],
            "context": {
                "context": "string"
            },
            "notifications": [
                {
                    "severity": "string",
                    "message": "string",
                    "remediations": [
                        {
                            "message": "string",
                            "link": "string"
                        }
                    ],
                    "impactMessage": "string"
                }
            ],
            "message": "string",
            "remediationMessage": "string",
            "causes": [
                {
                    "type": "string",
                    "message": "string"
                }
            ],
            "nestedErrors": [
                "Error Object"
            ],
            "referenceToken": "string",
            "label": "string",
            "remediationUrl": "string"
        }
    ],
    "referenceToken": "string",
    "label": "string",
    "remediationUrl": "string"
}
string
errorCode
Optional

The minor error code

string
errorType
Optional

The error type

array of string
arguments
Optional

The arguments used to localize the message, Can be used by scripts to automate the error processing.

object
context
Optional

The error context (e.g. the component where it occurred).

array of object
notifications
Optional

Detailed results of the precheck validation.

string
message
Optional

The localized error message

string
remediationMessage
Optional

The localized remediation error message

array of object
causes
Optional

The underlying cause exceptions.

array of object
nestedErrors
Optional

The nested errors when the error is a composite one

string
referenceToken
Optional

A reference token correlating the error with the relevant detailed error logs. Should be sent to the service provider when reporting issues.

string
label
Optional

The localized label message

string
remediationUrl
Optional

The URL string for remediation documentation link


404

Network was not found given the Id provided

Returns Error of type(s) application/json
"Error Object"
string
errorCode
Optional

The minor error code

string
errorType
Optional

The error type

array of string
arguments
Optional

The arguments used to localize the message, Can be used by scripts to automate the error processing.

object
context
Optional

The error context (e.g. the component where it occurred).

array of object
notifications
Optional

Detailed results of the precheck validation.

string
message
Optional

The localized error message

string
remediationMessage
Optional

The localized remediation error message

array of object
causes
Optional

The underlying cause exceptions.

array of Error
nestedErrors
Optional

The nested errors when the error is a composite one

string
referenceToken
Optional

A reference token correlating the error with the relevant detailed error logs. Should be sent to the service provider when reporting issues.

string
label
Optional

The localized label message

string
remediationUrl
Optional

The URL string for remediation documentation link


500

Internal Server Error

Returns Error of type(s) application/json
"Error Object"
string
errorCode
Optional

The minor error code

string
errorType
Optional

The error type

array of string
arguments
Optional

The arguments used to localize the message, Can be used by scripts to automate the error processing.

object
context
Optional

The error context (e.g. the component where it occurred).

array of object
notifications
Optional

Detailed results of the precheck validation.

string
message
Optional

The localized error message

string
remediationMessage
Optional

The localized remediation error message

array of object
causes
Optional

The underlying cause exceptions.

array of Error
nestedErrors
Optional

The nested errors when the error is a composite one

string
referenceToken
Optional

A reference token correlating the error with the relevant detailed error logs. Should be sent to the service provider when reporting issues.

string
label
Optional

The localized label message

string
remediationUrl
Optional

The URL string for remediation documentation link


Code Samples
COPY
                    curl -X PATCH -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{}'